
QGIS Application - Bug report #21244

QGIS 3.5.0-Master crashes when loading multiple WFS layers

2019-02-12 05:04 PM - Jacob Madsen

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 29062

Description

When trying to load WFS layers from my Geoserver using 3.5.0-Master, QGIS just crashes at will. Here is the stack trace:

Crash ID: fb8e7e84635e932eacda20eec3931db1a336122b

Stack Trace

Qgs25DRenderer::setWallShadingEnabled :

Qgs25DRenderer::setWallShadingEnabled :

Qgs25DRenderer::setWallShadingEnabled :

Qgs25DRenderer::setWallShadingEnabled :

OGREnvelope::IsInit :

OGREnvelope::IsInit :

Qgs25DRenderer::setWallShadingEnabled :

QgsValidityCheckResultsModel::trUtf8 :

QgisApp::actionAbout :

QgisApp::actionAbout :

QgisApp::actionAbout :

QgisApp::actionAbout :

QMetaObject::activate :

QgsValidityCheckResultsModel::trUtf8 :

QgsValidityCheckResultsModel::trUtf8 :

QgsValidityCheckResultsModel::trUtf8 :

QgsValidityCheckResultsModel::trUtf8 :

QgsValidityCheckResultsModel::trUtf8 :

QgsValidityCheckResultsModel::trUtf8 :

QMetaObject::activate :

QgsValidityCheckResultsModel::trUtf8 :

OGREnvelope::IsInit :

QgsValidityCheckResultsModel::trUtf8 :

QgsValidityCheckResultsModel::trUtf8 :

QgsValidityCheckResultsModel::trUtf8 :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

Qgs25DRenderer::setWallShadingEnabled :
QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

Qgs25DRenderer::setWallShadingEnabled :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::actionAbout :

QgisApp::actionAbout :

QgisApp::actionAbout :

QgisApp::actionAbout :

QgisApp::actionAbout :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

Qgs25DRenderer::setWallShadingEnabled :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

Qgs25DRenderer::setWallShadingEnabled :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgisApp::actionAbout :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: 2729af65c3

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

Related issues:

Duplicates QGIS Application - Bug report # 19557: QGIS freezes when adding mu... Open 2018-08-07

History

#1 - 2019-02-12 07:47 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

#19557

#2 - 2019-02-12 09:29 PM - Jürgen Fischer

- Duplicates Bug report #19557: QGIS freezes when adding multiple WFS layers from a geoserver instance added
